Page MenuHomePhabricator

Don't include images of humans in Special:SuggestedTags
Closed, ResolvedPublic

Description

We have this: Images including humans are shown in the MachineVision/SuggestedTags "popular" and Personal Uploads queue.

We want this: No images with suggested tags involving humans, human body parts, or similar topics show up in any of MachineVision's queues.

Images to use a test sample (all celebrities/public figures):

Acceptance Criteria:

  • Utilize a collection of known Wikidata entities/tags that indicate a person is featured prominently in an image
  • The exclusion of humans applies retroactively to older files that are sitting in either queue and have already had SuggestedTags assigned (essentially go through the DB, find files that match the exclusion set, and remove them from queue)
  • The exclusion of humans applies to newly uploaded files going forward until further notice

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptApr 10 2020, 5:21 PM
MarkTraceur triaged this task as High priority.Apr 10 2020, 5:22 PM
MarkTraceur added a project: MachineVision.
MarkTraceur added a subscriber: dr0ptp4kt.
MarkTraceur renamed this task from Disable tagging of humans in MachineVision to Don't include images of humans in MachineVision's popular queue.Apr 10 2020, 5:55 PM
MarkTraceur updated the task description. (Show Details)

Updated description and title to reflect my understanding of the current proposed solution. Acceptance criteria in the works for the new proposal.

Ramsey-WMF updated the task description. (Show Details)Apr 10 2020, 6:30 PM
Ramsey-WMF updated the task description. (Show Details)Apr 10 2020, 8:18 PM

Change 588052 had a related patch set uploaded (by Mholloway; owner: Michael Holloway):
[mediawiki/extensions/MachineVision@master] Add support for WITHHOLD_ALL review state

https://gerrit.wikimedia.org/r/588052

Change 588053 had a related patch set uploaded (by Mholloway; owner: Michael Holloway):
[operations/mediawiki-config@master] MachineVision: Add MachineVisionWithholdImageList config

https://gerrit.wikimedia.org/r/588053

Mholloway renamed this task from Don't include images of humans in MachineVision's popular queue to Don't include images of humans in Special:SuggestedTags.Apr 10 2020, 11:26 PM

Change 588062 had a related patch set uploaded (by Mholloway; owner: Michael Holloway):
[mediawiki/extensions/MachineVision@master] Add maintenance script to withhold images with configured labels

https://gerrit.wikimedia.org/r/588062

Change 588052 merged by jenkins-bot:
[mediawiki/extensions/MachineVision@master] Add support for WITHHOLD_ALL review state

https://gerrit.wikimedia.org/r/588052

Change 588062 merged by jenkins-bot:
[mediawiki/extensions/MachineVision@master] Add maintenance script to withhold images with configured labels

https://gerrit.wikimedia.org/r/588062

Mholloway updated the task description. (Show Details)Apr 13 2020, 1:24 PM

Change 588407 had a related patch set uploaded (by Mholloway; owner: Michael Holloway):
[operations/mediawiki-config@master] MachineVision: Add MachineVisionWithholdImageList config (Beta)

https://gerrit.wikimedia.org/r/588407

Change 588407 merged by jenkins-bot:
[operations/mediawiki-config@master] MachineVision: Add MachineVisionWithholdImageList config (Beta)

https://gerrit.wikimedia.org/r/588407

Mholloway added a comment.EditedApr 13 2020, 3:26 PM

I've tested this on Beta Commons and it appears to be working well. However, for the record, I haven't yet been able to test new uploads on Beta Commons due to T250085. It does work well for new uploads when testing locally.

I should mention that there will be images like https://commons.wikimedia.beta.wmflabs.org/wiki/File:1024px-Ba%C3%B1os_de_Vakil,_Shiraz,_Ir%C3%A1n,_2016-09-24,_DD_36-38_HDR.jpg which contain humans but are not flagged to be withheld, because the humans are not prominently featured in the image, and consequently none of the returned labels have to do with humans. I think that's acceptable given the wording of the task description, but wanted to mention it here for posterity.

Change 588437 had a related patch set uploaded (by Mholloway; owner: Michael Holloway):
[mediawiki/extensions/MachineVision@wmf/1.35.0-wmf.27] Add support for WITHHOLD_ALL review state

https://gerrit.wikimedia.org/r/588437

Change 588438 had a related patch set uploaded (by Mholloway; owner: Michael Holloway):
[mediawiki/extensions/MachineVision@wmf/1.35.0-wmf.27] Add maintenance script to withhold images with configured labels

https://gerrit.wikimedia.org/r/588438

Change 588053 merged by jenkins-bot:
[operations/mediawiki-config@master] MachineVision: Add MachineVisionWithholdImageList config

https://gerrit.wikimedia.org/r/588053

Mentioned in SAL (#wikimedia-operations) [2020-04-13T19:13:00Z] <mholloway-shell@deploy1001> Synchronized wmf-config/InitialiseSettings.php: MachineVision: Add MachineVisionWithholdImageList config (T249939) (duration: 01m 03s)

Change 588437 merged by jenkins-bot:
[mediawiki/extensions/MachineVision@wmf/1.35.0-wmf.27] Add support for WITHHOLD_ALL review state

https://gerrit.wikimedia.org/r/588437

Change 588438 merged by jenkins-bot:
[mediawiki/extensions/MachineVision@wmf/1.35.0-wmf.27] Add maintenance script to withhold images with configured labels

https://gerrit.wikimedia.org/r/588438

Mentioned in SAL (#wikimedia-operations) [2020-04-13T19:37:31Z] <mholloway-shell@deploy1001> Synchronized php-1.35.0-wmf.27/extensions/MachineVision: Add support for WITHHOLD_ALL review state (T249939) (duration: 01m 23s)

Mentioned in SAL (#wikimedia-operations) [2020-04-13T19:56:47Z] <mdholloway> finished running extensions/MachineVision/maintenance/withholdImages.php on commonswiki (T249939)

Change 588508 had a related patch set uploaded (by Mholloway; owner: Michael Holloway):
[operations/mediawiki-config@master] MachineVision: Withholding list additions

https://gerrit.wikimedia.org/r/588508

Change 588508 merged by jenkins-bot:
[operations/mediawiki-config@master] MachineVision: Withholding list additions

https://gerrit.wikimedia.org/r/588508

Mentioned in SAL (#wikimedia-operations) [2020-04-13T23:14:36Z] <mholloway-shell@deploy1001> Synchronized wmf-config/InitialiseSettings.php: MachineVision withholding list additions (T249939) (duration: 00m 59s)

Ramsey-WMF closed this task as Resolved.May 4 2020, 9:23 PM

With the addition of 'portrait' to the exclusion list, it looks like we catch pretty much every reasonable instance of people